<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [killall](./bitburner.ns.killall.md)

## NS.killall() method

Terminate all scripts on a server.

**Signature:**

```typescript
killall(host?: string, safetyGuard?: boolean): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the server on which to kill all scripts. Optional. Defaults to current server if not provided.


</td></tr>
<tr><td>

safetyGuard


</td><td>

boolean


</td><td>

_(Optional)_ Skips the script that calls this function


</td></tr>
</tbody></table>

**Returns:**

boolean

True if any scripts were killed, and false otherwise.

## Remarks

RAM cost: 0.5 GB

Kills all running scripts on the specified server. This function returns true if any scripts were killed, and false otherwise. In other words, it will return true if there are any scripts running on the target server. If no host is defined, it will kill all scripts, where the script is running.

